[Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Glarg
Registered User
Posts: 11
Joined: Thu Feb 07, 2019 8:51 pm

[Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by Glarg » Tue Feb 12, 2019 2:50 am

I had something similar to this with "ACP_CAT_MODS" on the far right of the menu tabs, but gist suggested didn't fix the problem.
This is what I get when selecting that tab:

Code: Select all

General Error
Cannot find module ./../includes/acp/acp_mods.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()
Last edited by Mick on Tue Feb 12, 2019 9:08 am, edited 1 time in total.

User avatar
warmweer
Registered User
Posts: 2011
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by warmweer » Tue Feb 12, 2019 8:06 am

Glarg wrote:
Tue Feb 12, 2019 2:50 am
I had something similar to this with "ACP_CAT_MODS" on the far right of the menu tabs, but gist suggested didn't fix the problem.
Something "similar" is very vague and is no indication that the "problem" has the same origin (nor that it would have the same solution).
I've requested a split.
In the meantime you could use the Support Request Template to give some more information which will facilitate support.
A bug is a feature that hasn't made it to the manual (yet)

Glarg
Registered User
Posts: 11
Joined: Thu Feb 07, 2019 8:51 pm

Re: [Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by Glarg » Fri Feb 15, 2019 1:33 am

Support Request Template
What version of phpBB are you using? phpBB 3.2.5
What is your board's URL? https://forum.661.org/
Who do you host your board with? Linode
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0.14
What styles do you currently have installed? prosilver
What language(s) is your board currently using? British English
Which database type/version are you using? MariaDB
What is your level of experience? New to PHP and phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? These are sanitized notes from the transfer/upgrade process from the old server running phpBB 3.0.14 to the new server running phpBB 3.2.5. Note that the drop-down for the old version of phpBB says "3.0.13". There is no option for "3.0.14"...

The canonical upgrade documentation:
https://download.phpbb.com/pub/document ... tation.pdf

If downgrading php is necessary, follow this:
https://stackoverflow.com/questions/463 ... n-debian-9,
install php5.6 then remove all vestiges of other version of php.

Tar up the old forum and put the archive on the local machine:
ssh intfiction@intfiction.org tar cjfv - public_html/forum > intfiction-forum.tar.bz2

Dump the database from the old server and copy it to the local machine:
mysqldump --databases -u intfiction -p intfiction > infiction.sql
scp -pC oldserver:intfiction.sql newserver:

Copy these to the new server:
scp -pC intfiction.sql intfiction-forum.tar.bz2 newserver:

Install the old forum on the new server:
cd /var/www/forum
tar jxfv --strip-components ~/intfiction-forum.tar.bz2

Add new database and user:
# mysql -u root -p
mysql> CREATE DATABASE intfiction;
mysql> CREATE USER 'intfiction'@'localhost' IDENTIFIED BY 'xxxx';
mysql> GRANT ALL PRIVILEGES ON intfiction.* to 'newuser'@'localhost';
mysql> FLUSH PRIVILEGES;
mysql> QUIT;

Restore database:
$ mysql -u intfiction -p
mysql> use intfiction;
mysql> source ~/intfiction.sql;
mysql> QUIT;

Now the old forum should be visible on the new server.
Deactivate all styles but prosilver.
Set British English as the only language pack.

# apt-get install apt-transport-https lsb-release ca-certificates
# curl https://packages.sury.org/php/apt.gpg | apt-key add -

Add this to /etc/apt/sources.list:
deb https://packages.sury.org/php/ stretch main

# apt-get update
# apt-get install php5.6 php5.6-mysql php5.6-xml

Some more might be necessary. Now, running the STK I can see the tables
that needed to be dropped:
phpbb3_domainrbl
phpbb3_httpbl
phpbb3_iprbl
phpbb3_mods

After these tables were dropped, there is no more need to keep the old
php5.6 around. Do a database dump, remove those packages and install
the latest php.

In the newly-restored old forum, do the following:
# mkdir keep
# cp -Rp config.php images files store keep
# tar jcfv keep.tar.bz2 keep

Move the resulting tarball somewhere convenient in your home directory,
then delete the old forum files, which is probably /var/www/forum or
somesuch. Untar into that directory phpBB-3.2.5.tar.bz2:
# tar -jxv -f ~/phpBB-3.2.5.tar.bz2 --strip-components=1

Delete from that the files you saved from the old forum:
# rm -rf config.php images files store

Untar into the new forum, the stuff we saved earlier:
# tar -jxv -f ~/keep.tar.bz2 --strip-components=1

Make sure the file ownership is correct:
# chown -R www-data.www-data /var/www/forum/*

Now visit http://newserver.com/forum/install and update the database.
Select "Update database only".

When complete, delete the install/ directory.

Done!

Changing forum logo:
Put logo in /styles/prosilver/theme/images/site_logo.gif
Edit /styles/prosilver/theme/colours.css and change the filename if desired.
Change dimensions in /styles/prosilver/theme/common.css if necessary.
From the ACP, Purge the board cache.

Please describe your problem. Upon entering the Admin Control Panel (ACP), I see these tabs: General, Forums, Posting, Users and Groups, Permissions, Customize Maintenance, System, and ACP_CAT_MODS. That last tab was not present in either the old forum or a freshly-installed phpbb 3.2.5. When clicking on it, I get this text:

Return to the index page
General Error
Cannot find module ./../includes/acp/acp_mods.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()
Generated by SRT Generator

CarolC1
Registered User
Posts: 565
Joined: Sat Dec 02, 2006 4:26 pm

Re: [Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by CarolC1 » Sat Feb 16, 2019 4:12 am

Glarg wrote:
Fri Feb 15, 2019 1:33 am

Please describe your problem. Upon entering the Admin Control Panel (ACP), I see these tabs: General, Forums, Posting, Users and Groups, Permissions, Customize Maintenance, System, and ACP_CAT_MODS. That last tab was not present in either the old forum or a freshly-installed phpbb 3.2.5. When clicking on it, I get this text:

Return to the index page
General Error
Cannot find module ./../includes/acp/acp_mods.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()
Generated by SRT Generator
Did you used to have AutoMod?
viewtopic.php?t=2127315

Glarg
Registered User
Posts: 11
Joined: Thu Feb 07, 2019 8:51 pm

Re: [Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by Glarg » Sun Feb 17, 2019 5:09 am

I don't think so.

User avatar
janus_zonstraal
Registered User
Posts: 3154
Joined: Sat Aug 30, 2014 1:30 pm

Re: [Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by janus_zonstraal » Sun Feb 17, 2019 8:52 am

Delete that module in ACP => System => module management.
Sorry! My English is bat ;) !!!

Glarg
Registered User
Posts: 11
Joined: Thu Feb 07, 2019 8:51 pm

Re: [Split] After upgrading to 3.2.5 in acp got error - not found ./../includes/acp/acp_dap.php

Post by Glarg » Mon Feb 18, 2019 1:59 am

janus_zonstraal wrote:
Sun Feb 17, 2019 8:52 am
Delete that module in ACP => System => module management.
Okay, that worked.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: CyrusG, VA_Christy and 27 guests